1#! /bin/sh
2# deplibs.test - check whether the shared library check method is OK
3
4# Test script header.
5need_prefix=yes
6if test -z "$srcdir"; then
7  srcdir=`echo "$0" | sed 's%/[^/]*$%%'`
8  test "$srcdir" = "$0" && srcdir=.
9  test "${VERBOSE+set}" != "set" && VERBOSE=yes
10fi
11. $srcdir/defs || exit 1
12
13# Check that things are built.
14if test -f ../demo/libhello.la && cd ../demo; then :
15else
16  echo "You must run demo-conf.test before $0" 1>&2
17  exit 77
18fi
19
20echo "linking a shared library against a static library"
21if $make deplibs-check && test -f hell0; then :
22else
23  echo "= cannot build the test program, check your deplibs_check_method"
24  status=1
25fi
26
27echo "executing the test program"
28if ./hell0; then :
29else
30  echo "= cannot execute the test program, check your deplibs_check_method"
31  status=1
32fi
33
34exit $status
35